# Interface methods for submodule: TileImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: TileImageFilter
class TileImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetLayout(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetLayout(self) -> Sequence[int]:
		""""""
		...

	@overload
	def SetDefaultPixelValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetDefaultPixelValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetDefaultPixelValue(self) -> float:
		""""""
		...

	@overload
	def GetDefaultPixelValue(self) -> int:
		""""""
		...

